#include "Spell.hpp"

Spell::Spell(const char *n, int t, int a, int c)
{
    this->name = n;
    this->type = t;
    this->amount = a;
    this->cost = c;
}

int Spell::getType()
{
    return this->type;
}

int Spell::getAmount()
{
    return this->amount;
}

int Spell::getCost()
{
    return this->cost;
}

const char *Spell::getName()
{
    return this->name;
}

std::vector<Spell *> Spell::Book = {
    new Spell("Spanish Inquisition", 1, 111111, 0),
    new Spell("Mana Bolt", 1, 5, 1),
    new Spell("Flame Bolt", 1, 8, 2),
    new Spell("Mana Flare", 1, 10, 3),
    new Spell("Ice Spear", 1, 13, 4),
    new Spell("Mana Misile", 1, 15, 5),
    new Spell("Thunder Strike", 1, 18, 6),
    new Spell("Mana Blast", 1, 20, 7),
};